clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo Class Reference

API for captured statement code generation. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| CGCapturedStmtInfo (CapturedRegionKind K=CR_Default)
| CGCapturedStmtInfo (const CapturedStmt &S, CapturedRegionKind K=CR_Default)
virtual | ~CGCapturedStmtInfo ()
CapturedRegionKind | getKind () const
virtual void | setContextValue (llvm::Value *V)
virtual llvm::Value * | getContextValue () const
virtual const FieldDecl * | lookup (const VarDecl *VD) const
| Lookup the captured field decl for a variable. More...
bool | isCXXThisExprCaptured () const
virtual FieldDecl * | getThisFieldDecl () const
virtual void | EmitBody (CodeGenFunction &CGF, const Stmt *S)
| Emit the captured statement body. More...
virtual StringRef | getHelperName () const
| Get the name of the capture helper. More...

## Static Public Member Functions
static bool | classof (const CGCapturedStmtInfo *)

## Detailed Description

API for captured statement code generation.

Definition at line 347 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ CGCapturedStmtInfo() [1/2]

clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::CGCapturedStmtInfo | ( | CapturedRegionKind | K = `CR_Default` | ) |
| inline explicit

Definition at line 349 of file CodeGenFunction.h.

## ◆ CGCapturedStmtInfo() [2/2]

clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::CGCapturedStmtInfo | ( | const CapturedStmt & | S,
|  | CapturedRegionKind | K = `CR_Default`
| ) |  |
| inline explicit

Definition at line 351 of file CodeGenFunction.h.

References clang::CapturedStmt::capture_begin(), clang::CapturedStmt::capture_end(), clang::RecordDecl::field_begin(), and clang::CapturedStmt::getCapturedRecordDecl().

## ◆ ~CGCapturedStmtInfo()

CodeGenFunction::CGCapturedStmtInfo::~CGCapturedStmtInfo | ( |  | ) |
| virtual

Definition at line 2221 of file CodeGenFunction.cpp.

## Member Function Documentation

## ◆ classof()

static bool clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::classof | ( | const CGCapturedStmtInfo * |  | ) |
| inline static

Definition at line 385 of file CodeGenFunction.h.

## ◆ EmitBody()

virtual void clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::EmitBody | ( | CodeGenFunction & | CGF,
|  | const Stmt * | S
| ) |  |
| inline virtual

Emit the captured statement body.

Definition at line 390 of file CodeGenFunction.h.

References clang::CodeGen::CodeGenFunction::EmitStmt(), and clang::CodeGen::CodeGenFunction::incrementProfileCounter().

Referenced by clang::CodeGen::emitInlinedDirective().

## ◆ getContextValue()

virtual llvm::Value* clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::getContextValue | ( |  | ) | const
| inline virtual

Definition at line 375 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitDeclRefLValue().

## ◆ getHelperName()

virtual StringRef clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::getHelperName | ( |  | ) | const
| inline virtual

Get the name of the capture helper.

Definition at line 396 of file CodeGenFunction.h.

## ◆ getKind()

CapturedRegionKind clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::getKind | ( |  | ) | const
| inline

Definition at line 371 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CGOpenMPRuntimeNVPTX::emitFunctionProlog().

## ◆ getThisFieldDecl()

virtual FieldDecl* clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::getThisFieldDecl | ( |  | ) | const
| inline virtual

Definition at line 383 of file CodeGenFunction.h.

## ◆ isCXXThisExprCaptured()

bool clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::isCXXThisExprCaptured | ( |  | ) | const
| inline

Definition at line 382 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CGOpenMPRuntimeNVPTX::adjustTargetSpecificDataForLambdas().

## ◆ lookup()

virtual const FieldDecl* clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::lookup | ( | const VarDecl * | VD | ) | const
| inline virtual

Lookup the captured field decl for a variable.

Definition at line 378 of file CodeGenFunction.h.

References clang::VarDecl::getCanonicalDecl().

Referenced by clang::CodeGen::CodeGenFunction::EmitDeclRefLValue(), and emitPrivatesInit().

## ◆ setContextValue()

virtual void clang::CodeGen::CodeGenFunction::CGCapturedStmtInfo::setContextValue | ( | llvm::Value * | V | ) |
| inline virtual

Definition at line 373 of file CodeGenFunction.h.

References V.

The documentation for this class was generated from the following files:

- lib/CodeGen/CodeGenFunction.h
- lib/CodeGen/CodeGenFunction.cpp